#ifndef __MYI2C_H
#define __MYI2C_H

#include <p18f452.h>

void InitI2C(void);
void WaitSSP(void);
void SendStart(void);
void SendStop(void);
void SendRestart(void);
char SendByte(char);
char ReceiveByte(void);
void SendNack(void);
void SendAck(void);
char WriteByte(long,char);
char ReadByte(long);
void I2cReadStr(char *buff,long addr,int count);
void I2cWriteStr(char *buff,long addr,int count);
unsigned int ReadInt(long addr);
void ReadClock(char *array);
void WriteClock(char *array);
long ReadLong(long addr);
void WriteInt(long addr, int val);
void WriteLong(long addr, long val);
char ReadRTC(char);
char WriteRTC(char , char );

#endif
